NEW USERS READ THIS! New User Guidance

NEW USERS READ THIS! New User Guidance
0

Hi, wanna be level 1
:grinning::grinning:

thanks
hello BTW
im new here

Hi, replying according the instructions…:upside_down_face:

Welcome to all of our new developers!

Hi, I new to this framework.

A post was split to a new topic: Script editor troubles

Hi everyone, I’m new here

Welcome to our new developers.

Hi ! :slight_smile:

Welcome @NicolasVlhv

Hi! I have troubles running Cocos2d-x-3.17.2 linux default project.
I have done very carefully all installation steps required according to https://github.com/cocos2d/cocos2d-x.
MacOS, iOS and Android builds run fine.
I haven’t tried to run Windows yet…
If I try to run linux it fails every time.
Can you help me with this?

How to add this FONTCONFIG_FOUND into FindPackageHandleStandardArgs.cmake?
My fontconfig: /usr/lib/x86_64-linux-gnu/pkgconfig/fontconfig.pc

My versions:

x86_64
Ubuntu 18.04.3 LTS
Python 2.7.15+
cocos2d-x-3.17.2
Cocos Console 2.3
cmake version 3.10.2
$ cocos run -p linux
Building mode: debug
running: 'cmake -DCMAKE_BUILD_TYPE=Debug -DDEBUG_MODE=ON ..'

-- PROJECT_NAME:shepherd
-- PROJECT_SOURCE_DIR:/home/kimmo/workspace/shepherd
-- COCOS2DX_ROOT_PATH:/home/kimmo/workspace/shepherd/cocos2d
-- CMAKE_MODULE_PATH:/home/kimmo/workspace/shepherd/cocos2d/cmake/Modules/
-- PROJECT_BINARY_DIR:/home/kimmo/workspace/shepherd/linux-build
-- ENGINE_BINARY_PATH:/home/kimmo/workspace/shepherd/linux-build/engine
-- CMAKE_GENERATOR: Unix Makefiles
-- CMAKE_BUILD_TYPE: Debug
-- Checking for one of the modules 'fontconfig'
CMake Error at /usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find Fontconfig (missing: FONTCONFIG_FOUND) (found version "")
Call Stack (most recent call first):
  /usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  cocos2d/cmake/Modules/FindFontconfig.cmake:13 (find_package_handle_standard_args)
  cocos2d/cmake/Modules/CocosBuildHelpers.cmake:286 (find_package)
  cocos2d/cmake/Modules/CocosConfigDepend.cmake:11 (cocos_find_package)
  cocos2d/cmake/Modules/CocosConfigDepend.cmake:95 (cocos2dx_depend)
  cocos2d/cocos/CMakeLists.txt:131 (use_cocos2dx_libs_depend)


-- Configuring incomplete, errors occurred!
See also "/home/kimmo/workspace/shepherd/linux-build/CMakeFiles/CMakeOutput.log".
Error running command, return code: 1.

Did you go through our install doc?

https://docs.cocos2d-x.org/cocos2d-x/v3/en/installation/Linux.html

Oh darn :woozy_face: Problem solved, thank you.

https://docs.cocos2d-x.org/cocos2d-x/v3/en/installation/Linux.html#install-dependencies-ubuntu-18x-only
sudo apt-get install g++ libgdk-pixbuf2.0-dev python-pip cmake libx11-dev libxmu-dev libglu1-mesa-dev libgl2ps-dev libxi-dev libzip-dev libpng-dev libcurl4-gnutls-dev libfontconfig1-dev libsqlite3-dev libglew-dev libssl-dev libgtk-3-dev libglfw3 libglfw3-dev xorg-dev

No problem. I’m a Linux user too so I test this every release and update.

Hi! I would like to be able to post a question about

pollEvents

Go ahead and start a new topic when the button appears for you. Keep up the reading.browsing.

hi, Im new in game development.

Welcome @iopetrick

hi,i’m newer here, but i use cocos for some time, thx

Welcome @brighthead1995